<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\HeroBannerText;
use Illuminate\Auth\Access\HandlesAuthorization;

class HeroBannerTextPolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:HeroBannerText');
    }

    public function view(AuthUser $authUser, HeroBannerText $heroBannerText): bool
    {
        return $authUser->can('View:HeroBannerText');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:HeroBannerText');
    }

    public function update(AuthUser $authUser, HeroBannerText $heroBannerText): bool
    {
        return $authUser->can('Update:HeroBannerText');
    }

    public function delete(AuthUser $authUser, HeroBannerText $heroBannerText): bool
    {
        return $authUser->can('Delete:HeroBannerText');
    }
}